org.eclipse.actf.model.dom.odf.style

## Interface TableCellPropertiesElement

All Superinterfaces:
  Element, Node, ODFElement, StylePropertiesBase

    public interface TableCellPropertiesElement
    extends StylePropertiesBase

Interface for <style:table-cell-properties> element.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`String` `getAttrFormatBackgroundColor()`
`String` `getAttrFormatBorder()`
`String` `getAttrFormatBorderBottom()`
`String` `getAttrFormatBorderLeft()`
`String` `getAttrFormatBorderRight()`
`String` `getAttrFormatBorderTop()`
`String` `getAttrFormatPadding()`
`int` `getAttrStyleCellProtect()`
`String` `getAttrStyleShadow()`

### Methods inherited from interface org.eclipse.actf.model.dom.odf.style.StylePropertiesBase

`getType`

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getAttrFormatBackgroundColor

    String getAttrFormatBackgroundColor()

#### getAttrFormatBorder

    String getAttrFormatBorder()

#### getAttrFormatBorderTop

    String getAttrFormatBorderTop()

#### getAttrFormatBorderBottom

    String getAttrFormatBorderBottom()

#### getAttrFormatBorderLeft

    String getAttrFormatBorderLeft()

#### getAttrFormatBorderRight

    String getAttrFormatBorderRight()

#### getAttrFormatPadding

    String getAttrFormatPadding()

#### getAttrStyleShadow

    String getAttrStyleShadow()

#### getAttrStyleCellProtect

    int getAttrStyleCellProtect()